﻿@using Jumbula.Web.WebLogic.UserService
@model NavBarViewModel

@{
    var currentRoleType = this.GetCurrentUserRoleType();

    var classForSite = string.Empty;
    var classForOrder = string.Empty;
    var classForCart = string.Empty;
    var classForInvoice = string.Empty;
    var classForWaitList = string.Empty;
    var classForFamilies = string.Empty;
    var classForReports = string.Empty;
    var notifications = JbUserService.GetUserNotifications().ToList();

    var url = Request.Url;
    var absolutePath = url.AbsolutePath;

    switch (absolutePath.ToLower())
    {
        case "/":
            {
                classForSite = "active";
            }
            break;
        case "/registrant/dashboard":
            {
                classForOrder = "active";
            }
            break;
        case "/cart":
            {
                classForCart = "active";
            }
            break;
        case "/registrant/invoices":
            {
                classForInvoice = "active";
            }
            break;
        case "/registrant/waitlist":
            {
                classForWaitList = "active";
                classForOrder = "active";
            }
            break;
        case "/registrant":
            {
                classForFamilies = "active";
            }
            break;
        case "/registrant/fsareport":
            {
                classForReports = "active";
            }
            break;

    }
}

<li class="@classForFamilies"><a href="@Url.Action("GetFamiliesProfile", "Registrant")">Home</a></li>


<li title="Registration" class="@classForSite">
    <a href="/">Registration</a>
</li>


<li class="dropdown account @classForOrder">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"> Enrollments <span class="caret"></span></a>
    <ul class="dropdown-menu" role="menu">
        <li class="sign-out"><a href="@Url.Action("Payments", "Registrant")">Payments</a></li>
        <li class="sign-out"><a href="@Url.Action("Waitlist", "Registrant")">Waitlist</a></li>
        <li class="sign-out"><a href="@Url.Action("Dashboard", "Registrant")">Order history</a></li>
    </ul>
</li>

<li class="orders @classForInvoice"><a href="@Url.Action("Invoices", "Registrant")" title="Invoices">Invoices</a></li>

<li class="dropdown account @classForReports">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"> Reports <span class="caret"></span></a>
    <ul class="dropdown-menu" role="menu">
        <li class="sign-out"><a href="@Url.Action("FSAReport", "Registrant")">Dependent care receipt</a></li>
    </ul>
</li>

@if (notifications.Any())
{
    @Html.Partial("Navbar/_Notification", notifications)
}

@if (!Model.IsAdminSwitchedAsParent)
{
    <li class="cart @classForCart">
        <a class="shop-cart @((Model.HasPreregisteredOrder || Model.HasAddedPreregisteredOrder || Model.HasLotteryOrder || Model.HasWonLotteryOrder) ? "animated infinite bounce" : string.Empty)" href="@Url.Action("Index", "Cart")" title="@Model.CartToolTip">

            <i id="jbi-cart" class="jbi-cart"></i>
            <span class="shop-number">@Model.CountOrder</span>

        </a>
    </li>
}

<li class="dropdown account">

    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">@this.GetCurrentUserFullName()<span class="caret"></span></a>
    <ul class="dropdown-menu" role="menu">

        <li class="sign-out">
            <p>@this.GetCurrentUserName()</p>
            @if (!Model.IsAdminSwitchedAsParent)
            {
                <hr />
            }
        </li>

        @if (Model.IsAdminSwitchedAsParent)
        {
            <li class="sign-out">
                <p>Viewing @Model.SwitchedParentUserName</p>
                <hr />
            </li>
        }

        <li class="sign-out"><a href="@Url.Action("Preferences", "Registrant")">Account settings</a></li>

        <li class="sign-out"><a href="@Url.Action("BillingMethods", "Registrant")">Payment methods</a></li>

        <li class="sign-out"><a href="@Url.Action("ActivityLog", "Registrant")">Activity log</a></li>

        @if (Model.Clubs != null && Model.Clubs.Any())
        {
            <li role="separator" class="divider"></li>
            <li class="dropdown-header">Domains</li>

            foreach (var item in Model.Clubs)
            {
                <li class="sign-out">
                    <a target="_blank" href="@Url.Action("RedirectToClub", "Account", new { clubDomain = item.Domain })">@item.Name (@item.Role)</a>
                </li>
            }
        }

        <li role="separator" class="divider"></li>

        <li class="sign-out"><a href="@Url.Action("LogOff", "Account")"><i class="jbi-log-out"></i>Log out</a></li>
    </ul>

</li>
